Category: Estimated time: 0.00 hour
Target version:
Description

1. Supply an ssh URL as remote for clone
2. EasyHg says it can't open the URL -- More Details shows "No response from remote hg" error
3. Click OK on that error dialog
4. EasyHg pops up another similar error dialog without a More Details button, but before you get a chance to click anything, it
crashes.

History
#1 - 2011-04-06 11:16 AM - Chris Cannam

For ssh URLs, we need a suitable ssh client, ideally TortoisePlink.  hg --config ui.ssh=TortoisePlink etc and we're off.

#2 - 2011-05-24 01:31 PM - Chris Cannam
- Subject changed from Windows version won't open ssh URLs, crashes on failing to Windows version crashes on failing to open a URL

#3 - 2011-05-24 01:32 PM - Chris Cannam
- Status changed from New to Closed

Split out ssh failure into a separate bug (#161) and renamed this one to cover the crash only.  Crash fixed in commit:5cc0d897eb26.
